Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041181
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-06-26 10:302019-07-17 09:52
ReporterfranciscoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q4
StatusclosedFix in branchFixed in SCM revisionfcbb2e397905
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041181: [POS]wrong behavior applying discount by payment method

Description[POS]wrong behavior applying discount by payment method
Steps To ReproduceTested in PI
1. Discount and promotions windows and activate the discount by payment method for cash
2. In the POS by a product and cash as payment method
3. It is applying the correct discount, but doesn't confirm the payment and cancel it
4. Go in menu to Cash management and click Done
5. Try again to pay cash the product:
    * On the left side of the POS is not applying the discount
    * On the right side of the POS is showing as remaining to pay the amount of the discount
    * If you confirm the payment it takes as amount paid the double of the quantity it shows in the screen (real price - discount)
6. After that, it is continuously showing this wrong behavior until you click on the line, and try to pay again, when it is applying the discount again
TagsNo tags attached.
Attached Filespatch file icon issue 41181 source posterminal.patch [^] (859 bytes) 2019-07-04 18:36 [Show Content]
patch file icon issue 41181 source discounts_paymentmethod_2.patch [^] (2,291 bytes) 2019-07-04 18:37 [Show Content]
patch file icon issue 41181 source discounts_paymentmethod 16-May.patch [^] (4,180 bytes) 2019-07-16 12:56 [Show Content]
patch file icon issue 41181 source giftcards 16-May.patch [^] (1,415 bytes) 2019-07-16 12:57 [Show Content]
patch file icon issue 41181 source pimobile 16-May.patch [^] (6,379 bytes) 2019-07-16 13:06 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0113031)
francisco (developer)
2019-06-26 10:46

You can see a video with the example:
https://drive.google.com/open?id=1RUvVDsjJmuVNoVAzWkSpGPe6TF0e1d5i [^]
(0113040)
malsasua (developer)
2019-06-26 16:19

It seems that, when Cash Management window is opened, the events stop working
(0113210)
hgbot (developer)
2019-07-08 12:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d7a97bc67ce65acb2eeb068e4c6fa1bc221b0d6d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jul 08 16:17:40 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d7a97bc67ce65acb2eeb068e4c6fa1bc221b0d6d [^]

Related to issue 41181 : Added OBPOS_postRemovePayment hook after removing payment

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0113211)
hgbot (developer)
2019-07-08 12:49

Repository: erp/pmods/org.openbravo.retail.discounts.bypaymentmethod
Changeset: fcbb2e397905403b2f7f5b17dd3ef55b4b9b9532
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jul 08 16:19:00 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bypaymentmethod/rev/fcbb2e397905403b2f7f5b17dd3ef55b4b9b9532 [^]

Fixed issue 41181 : Discount should be added from postAddPayment hook instead of receipt payment add event

* Discount should be removed from postRemovePayment hook instead of receipt payment remove event
* receipt calculatingReceipt events should be reset when OBPOS_PrePaymentHook is called

---
M web/org.openbravo.retail.discounts.bypaymentmethod/js/paymentmethod-discount.js
---
(0113244)
hgbot (developer)
2019-07-09 14:20

Repository: erp/pmods/org.openbravo.retail.discounts.bypaymentmethod
Changeset: 89402b5ac464106f1c28635157d1333825a532cb
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jul 09 17:38:24 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bypaymentmethod/rev/89402b5ac464106f1c28635157d1333825a532cb [^]

Related to issue 41181 : Payment method discounts should be removed from postRemovePayment hook

* When receipt customer is changed, payment method discounts should be removed
* Hook callbackExecutor must be called after removing discounts

---
M web/org.openbravo.retail.discounts.bypaymentmethod/js/paymentmethod-discount.js
---
(0113326)
hgbot (developer)
2019-07-12 12:39

Repository: erp/pmods/org.openbravo.retail.discounts.bypaymentmethod
Changeset: d1fec57314472886c8780928769928b2f0c1246a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jul 12 16:08:34 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bypaymentmethod/rev/d1fec57314472886c8780928769928b2f0c1246a [^]

Related to issue 41181 : Discounts should be recalculted if receipt is changed in payment tab

* If Payment tab is visible, receipt is changed(By changing customer or address) then payment method discounts should be recalculated

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.discounts.bypaymentmethod/js/paymentmethod-discount.js
---
(0113401)
ranjith_qualiantech_com (developer)
2019-07-16 12:27

Discounts are not caluclated properly when changing receipt customer for more than 2 times
(0113403)
hgbot (developer)
2019-07-16 13:23

Repository: erp/pmods/org.openbravo.retail.discounts.bypaymentmethod
Changeset: 6e67e2cf75000c93edc103a9a6e3a46bec2ce5fd
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jul 16 16:53:08 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bypaymentmethod/rev/6e67e2cf75000c93edc103a9a6e3a46bec2ce5fd [^]

Related to issue 41181 : Discount should be removed when receipt is loaded from local database

* When pointofsale window is refreshed or redirected from cashup, existing receipt will lost the events.
  So when order loaded from local database, payment method discounts should be removed

---
M web/org.openbravo.retail.discounts.bypaymentmethod/js/paymentmethod-discount.js
---
(0113404)
hgbot (developer)
2019-07-16 13:24

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 3a581138900a18e74e8d153e206659b5e80f67ca
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jul 16 16:54:33 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/3a581138900a18e74e8d153e206659b5e80f67ca [^]

Related to issue 41181 : Hook OBPOS_CheckReceiptMandatoryFields args should be updated based on existing value

---
M web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---
(0113462)
hgbot (developer)
2019-07-17 07:44

Repository: tools/automation/pi-mobile
Changeset: 72adfc81d17982325ee1a7d326fde4faf03026bf
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jul 17 11:13:49 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/72adfc81d17982325ee1a7d326fde4faf03026bf [^]

Verifies issue 41181 : Added automated test 'I41181_VerifyReceiptEventChange'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bypaymentmethod/I30305_VerifyDiscountByMultiPayment.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bypaymentmethod/I41181_VerifyReceiptEventChange.java
---

- Issue History
Date Modified Username Field Change
2019-06-26 10:30 francisco New Issue
2019-06-26 10:30 francisco Assigned To => Retail
2019-06-26 10:30 francisco Triggers an Emergency Pack => No
2019-06-26 10:37 jfrances Issue Monitored: jfrances
2019-06-26 10:46 francisco Note Added: 0113031
2019-06-26 16:19 malsasua Note Added: 0113040
2019-06-26 16:27 marvintm Category Discounts by Payment Method => Web POS
2019-06-27 19:52 matias-bernal Issue Monitored: matias-bernal
2019-07-01 11:09 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-07-01 11:09 ranjith_qualiantech_com Status new => scheduled
2019-07-01 12:53 ranjith_qualiantech_com File Added: issue 41181 source discounts_paymentmethod.patch
2019-07-04 18:36 marvintm File Added: issue 41181 source posterminal.patch
2019-07-04 18:37 marvintm File Added: issue 41181 source discounts_paymentmethod_2.patch
2019-07-08 12:47 hgbot Checkin
2019-07-08 12:47 hgbot Note Added: 0113210
2019-07-08 12:49 hgbot Checkin
2019-07-08 12:49 hgbot Note Added: 0113211
2019-07-08 12:49 hgbot Status scheduled => resolved
2019-07-08 12:49 hgbot Resolution open => fixed
2019-07-08 12:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bypaymentmethod/rev/fcbb2e397905403b2f7f5b17dd3ef55b4b9b9532 [^]
2019-07-09 14:20 hgbot Checkin
2019-07-09 14:20 hgbot Note Added: 0113244
2019-07-11 15:31 hgbot Checkin
2019-07-11 15:31 hgbot Note Added: 0113285
2019-07-12 12:39 hgbot Checkin
2019-07-12 12:39 hgbot Note Added: 0113326
2019-07-12 15:04 guilleaer Note Deleted: 0113285
2019-07-16 12:26 ranjith_qualiantech_com File Deleted: issue 41181 source discounts_paymentmethod.patch
2019-07-16 12:27 ranjith_qualiantech_com Note Added: 0113401
2019-07-16 12:27 ranjith_qualiantech_com Status resolved => new
2019-07-16 12:27 ranjith_qualiantech_com Resolution fixed => open
2019-07-16 12:27 ranjith_qualiantech_com Status new => scheduled
2019-07-16 12:56 ranjith_qualiantech_com File Added: issue 41181 source discounts_paymentmethod 16-May.patch
2019-07-16 12:57 ranjith_qualiantech_com File Added: issue 41181 source giftcards 16-May.patch
2019-07-16 13:06 ranjith_qualiantech_com File Added: issue 41181 source pimobile 16-May.patch
2019-07-16 13:23 hgbot Checkin
2019-07-16 13:23 hgbot Note Added: 0113403
2019-07-16 13:24 hgbot Checkin
2019-07-16 13:24 hgbot Note Added: 0113404
2019-07-17 07:44 hgbot Checkin
2019-07-17 07:44 hgbot Note Added: 0113462
2019-07-17 07:45 ranjith_qualiantech_com Status scheduled => resolved
2019-07-17 07:45 ranjith_qualiantech_com Resolution open => fixed
2019-07-17 09:52 guilleaer Review Assigned To => guilleaer
2019-07-17 09:52 guilleaer Status resolved => closed
2019-07-17 09:52 guilleaer Fixed in Version => RR19Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker